Skip To Content

ArcObjects SDK 10.9 のシステム要件

Esri がサポートする環境ポリシーの詳細については、Esri テクニカル サポートをご参照ください。

ヒント:

以前の ArcGIS バージョンについては、ArcGIS Desktop Web サイトに掲載されているシステム要件をご参照ください。

サポートされている Microsoft Windows プラットフォーム*

サポートされているオペレーティング システムテスト済みの最新アップデートまたはサービス パックArcObjects SDK for the Java PlatformArcObjects SDK for the Microsoft .NET Framework**

Windows 10 Pro および Enterprise (64 ビット [EM64T])

2021 年 2 月 アップデート

サポート

サポート

Windows 8.1 Basic、Pro、Enterprise (32 ビットおよび 64 ビット [EM64T])

2021 年 2 月 アップデート

サポート

サポート

Windows Server 2019 Standard および Datacenter

2021 年 2 月 アップデート

サポート

サポート

Windows Server 2016 Standard および Datacenter

2021 年 2 月 アップデート

サポート

サポート

Windows Server 2012 R2 Standard および Datacenter 64 ビット

2021 年 2 月 アップデート

サポート

サポート

Windows Server 2012 Standard および Datacenter

2021 年 2 月 アップデート

サポート

サポート

注意:
特に指定がない限り、これらのオペレーティング システムのバージョンに関して過去と今後のアップデートまたはサービス パックはサポートされています。 また、オペレーティング システムのバージョンとアップデートはオペレーティング システムのプロバイダーでもサポートされている必要があります。

*その他の要件や情報については、「オペレーティング システムの要件と制限」をご参照ください。

**Microsoft .NET Framework では Visual Studio 2017 か Visual Studio 2019 が必要です。Microsoft Visual Studio のシステム要件については以下のリンクをご参照ください。

ハードウェア要件

必要なディスク空き容量

ArcObjects SDKディスク容量

ArcObjects SDK for Java Windows

676 MB

ArcObjects SDK for the Microsoft .NET Framework

434 MB

開発者向けソリューション (SDK) の要件

ArcObjects SDKサポートおよび推奨される IDESDK 要件

ArcObjects SDK for Java Windows

以下の IDE では、テンプレート、コード スニペット、プロジェクト ウィザードなどの拡張機能を提供する開発者向け IDE プラグインが Java プラットフォーム用 ArcObjects SDK とともに提供され、サポートされています。 (注意: Visual Bean のユーザーは Visual Editor を手動でインストールする必要があります。)

  • Eclipse IDE for Java Developers (バージョン 2020-12 以降)
  • Eclipse IDE for Java EE Developers (バージョン 2020-12 以降)

ArcObjects SDK Java での開発には ArcGIS Server が必要です。

SOE および SOI を構築する場合、Java Development Kit (JDK) バージョン 8 Update 275 または JDK 8 以降の新しいバージョンがサポートされます。 Java 9 以降を使用した SOE または SOI の構築はサポートされていません。

ArcObjects SDK for the Microsoft .NET Framework

Microsoft Visual Studio 2019 (C#、VB.NET) Community、Professional、Enterprise

Microsoft Visual Studio 2017 (C#、VB.NET) Community、Professional、Enterprise

Microsoft .NET Framework 4.5.2 以降

オペレーティング システムの要件と制限

すべてのプラットフォーム

Windows